local require = GLOBAL.require
local cooking = require "cooking"
local recipes = cooking.recipes.cookpot

ONE_DAY = 480

-- By: IcyTheWhite

-- CROCK POT FOOD ~ ~ ~ ~ ~
-- Bacon and Eggs
AddPrefabPostInit ("baconeggs",function(inst)
inst.components.edible.hungervalue = 50
inst.components.edible.healthvalue = 5
inst.components.edible.sanityvalue = 10
inst.components.perishable:SetPerishTime(ONE_DAY * 15)
end)
	-- Butter Muffin
	AddPrefabPostInit ("butterflymuffin",function(inst)
	inst.components.edible.hungervalue = 25
	inst.components.edible.healthvalue = 20
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		-- Dragonpie
		AddPrefabPostInit ("dragonpie",function(inst)
		inst.components.edible.hungervalue = 25
		inst.components.edible.healthvalue = 15
		inst.components.edible.sanityvalue = 7.5
		inst.components.perishable:SetPerishTime(ONE_DAY * 15)
		end)
			-- Fish Tacos
			AddPrefabPostInit ("fishtacos",function(inst)
			inst.components.edible.hungervalue = 37.5
			inst.components.edible.healthvalue = 7.5
			inst.components.edible.sanityvalue = 5
			inst.components.perishable:SetPerishTime(ONE_DAY * 6)
			end)
-- Fishsticks
AddPrefabPostInit ("fishsticks",function(inst)
inst.components.edible.hungervalue = 37.5
inst.components.edible.healthvalue = 10
inst.components.edible.sanityvalue = 3
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	-- Fist Full of Jam
	AddPrefabPostInit ("jammypreserves",function(inst)
	inst.components.edible.hungervalue = 30
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 25)
	end)
		-- Froggle Bunwich
		AddPrefabPostInit ("frogglebunwich",function(inst)
		inst.components.edible.hungervalue = 37.5
		inst.components.edible.healthvalue = 3
		inst.components.edible.sanityvalue = 3
		inst.components.perishable:SetPerishTime(ONE_DAY * 20)
		end)
			-- Fruit Medley
			AddPrefabPostInit ("fruitmedley",function(inst)
			inst.components.edible.hungervalue = 15
			inst.components.edible.healthvalue = 3
			inst.components.edible.sanityvalue = 20
			inst.components.perishable:SetPerishTime(ONE_DAY * 6)
			end)
-- Honey Ham
AddPrefabPostInit ("honeyham",function(inst)
inst.components.edible.hungervalue = 50
inst.components.edible.healthvalue = 10
inst.components.edible.sanityvalue = 10
inst.components.perishable:SetPerishTime(ONE_DAY * 15)
end)
	-- Honey Nuggets
	AddPrefabPostInit ("honeynuggets",function(inst)
	inst.components.edible.hungervalue = 37.5
	inst.components.edible.healthvalue = 5
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 15)
	end)
		-- Kabobs
		AddPrefabPostInit ("kabobs",function(inst)
		inst.components.edible.hungervalue = 30
		inst.components.edible.healthvalue = 3
		inst.components.edible.sanityvalue = 3
		inst.components.perishable:SetPerishTime(ONE_DAY * 10)
		end)
			-- Mandrake Soup
			AddPrefabPostInit ("mandrakesoup",function(inst)
			inst.components.edible.hungervalue = 150
			inst.components.edible.healthvalue = 100
			inst.components.edible.sanityvalue = 5
			inst.components.perishable:SetPerishTime(ONE_DAY * 15)
			end)
-- Meatballs
AddPrefabPostInit ("meatballs",function(inst)
inst.components.edible.hungervalue = 40
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 3
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	-- Meaty Stew
	AddPrefabPostInit ("bonestew",function(inst)
	inst.components.edible.hungervalue = 100
	inst.components.edible.healthvalue = 5
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		-- Monster Lasagna
		AddPrefabPostInit ("monsterlasagna",function(inst)
		inst.components.edible.hungervalue = 37.5
		inst.components.edible.healthvalue = -5
		inst.components.edible.sanityvalue = -15
		inst.components.perishable:SetPerishTime(ONE_DAY * 6)
		end)
			-- Pierogi
			AddPrefabPostInit ("perogies",function(inst)
			inst.components.edible.hungervalue = 50
			inst.components.edible.healthvalue = 15
			inst.components.edible.sanityvalue = 5
			inst.components.perishable:SetPerishTime(ONE_DAY * 20)
			end)
-- Powdercake
AddPrefabPostInit ("powcake",function(inst)
inst.components.edible.hungervalue = 6.25
inst.components.edible.healthvalue = -1
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 18750)
end)
	-- Pumpkin Cookie
	AddPrefabPostInit ("pumpkincookie",function(inst)
	inst.components.edible.hungervalue = 30
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 15
	inst.components.perishable:SetPerishTime(ONE_DAY * 20)
	end)
		-- Ratatouille
		AddPrefabPostInit ("ratatouille",function(inst)
		inst.components.edible.hungervalue = 30
		inst.components.edible.healthvalue = 5
		inst.components.edible.sanityvalue = 3
		inst.components.perishable:SetPerishTime(ONE_DAY * 15)
		end)
			-- Stuffed Eggplant
			AddPrefabPostInit ("stuffedeggplant",function(inst)
			inst.components.edible.hungervalue = 37.5
			inst.components.edible.healthvalue = 15
			inst.components.edible.sanityvalue = 3
			inst.components.perishable:SetPerishTime(ONE_DAY * 10)
			end)
-- Taffy
AddPrefabPostInit ("taffy",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = -3
inst.components.edible.sanityvalue = 15
inst.components.perishable:SetPerishTime(ONE_DAY * 25)
end)
	-- Turkey Dinner
	AddPrefabPostInit ("turkeydinner",function(inst)
	inst.components.edible.hungervalue = 75
	inst.components.edible.healthvalue = 20
	inst.components.edible.sanityvalue = 7.5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		-- Unagi
		AddPrefabPostInit ("unagi",function(inst)
		inst.components.edible.hungervalue = 50
		inst.components.edible.healthvalue = 5
		inst.components.edible.sanityvalue = 3
		inst.components.perishable:SetPerishTime(ONE_DAY * 6)
		end)
			-- Waffles
			AddPrefabPostInit ("waffles",function(inst)
			inst.components.edible.hungervalue = 37.5
			inst.components.edible.healthvalue = 10
			inst.components.edible.sanityvalue = 30
			inst.components.perishable:SetPerishTime(ONE_DAY * 15)
			end)

-- DS: RoG Food
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
-- Flower Salad
AddPrefabPostInit ("flowersalad",function(inst)
inst.components.edible.hungervalue = 25
inst.components.edible.healthvalue = 25
inst.components.edible.sanityvalue = 3
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	-- Guacamole
	AddPrefabPostInit ("guacamole",function(inst)
	inst.components.edible.hungervalue = 37.5
	inst.components.edible.healthvalue = 20
	inst.components.edible.sanityvalue = 3
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		-- Ice Cream
		AddPrefabPostInit ("icecream",function(inst)
		inst.components.edible.hungervalue = 12.5
		inst.components.edible.healthvalue = 0
		inst.components.edible.sanityvalue = 40
		inst.components.perishable:SetPerishTime(ONE_DAY * 3)
		end)
-- Melonsicle
AddPrefabPostInit ("watermelonicle",function(inst)
inst.components.edible.hungervalue = 15
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 20
inst.components.perishable:SetPerishTime(ONE_DAY * 3)
end)
	-- Spicy Chili
	AddPrefabPostInit ("hotchili",function(inst)
	inst.components.edible.hungervalue = 50
	inst.components.edible.healthvalue = 10
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		-- Trail Mix
		AddPrefabPostInit ("trailmix",function(inst)
		inst.components.edible.hungervalue = 25
		inst.components.edible.healthvalue = 20
		inst.components.edible.sanityvalue = 5
		inst.components.perishable:SetPerishTime(ONE_DAY * 15)
		end)
end

-- Wet Goop
AddPrefabPostInit ("wetgoop",function(inst)
inst.components.edible.hungervalue = 0
inst.components.edible.healthvalue = -10
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	
	
-- MEATS ~ ~ ~ ~ ~
-- Morsel
AddPrefabPostInit ("smallmeat",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("cookedsmallmeat",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		AddPrefabPostInit ("smallmeat_dried",function(inst)
		inst.components.edible.hungervalue = 10
		inst.components.edible.healthvalue = 3
		inst.components.edible.sanityvalue = 7.5
		inst.components.perishable:SetPerishTime(ONE_DAY * 20)
		end)
-- Meat
AddPrefabPostInit ("meat",function(inst)
inst.components.edible.hungervalue = 25
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = -10
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("cookedmeat",function(inst)
	inst.components.edible.hungervalue = 25
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		AddPrefabPostInit ("meat_dried",function(inst)
		inst.components.edible.hungervalue = 20
		inst.components.edible.healthvalue = 8
		inst.components.edible.sanityvalue = 10
		inst.components.perishable:SetPerishTime(ONE_DAY * 20)
		end)
-- Monster_Meat
AddPrefabPostInit ("monstermeat",function(inst)
inst.components.edible.hungervalue = 20
inst.components.edible.healthvalue = -10
inst.components.edible.sanityvalue = -15
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("cookedmonstermeat",function(inst)
	inst.components.edible.hungervalue = 20
	inst.components.edible.healthvalue = -5
	inst.components.edible.sanityvalue = -10
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
		AddPrefabPostInit ("monstermeat_dried",function(inst)
		inst.components.edible.hungervalue = 15
		inst.components.edible.healthvalue = -3
		inst.components.edible.sanityvalue = -3
		inst.components.perishable:SetPerishTime(ONE_DAY * 20)
		end)
-- Leafy_Meats
AddPrefabPostInit ("plantmeat",function(inst)
inst.components.edible.hungervalue = 15
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("plantmeat_cooked",function(inst)
	inst.components.edible.hungervalue = 15
	inst.components.edible.healthvalue = 2
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)

-- Drumstick
AddPrefabPostInit ("drumstick",function(inst)
inst.components.edible.hungervalue = 15
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("drumstick_cooked",function(inst)
	inst.components.edible.hungervalue = 15
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
-- Fish
AddPrefabPostInit ("fish",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = -3
inst.components.perishable:SetPerishTime(ONE_DAY * 3)
end)
	AddPrefabPostInit ("fish_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 2
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
-- Eel
AddPrefabPostInit ("eel",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("eel_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
-- Frog_Legs
AddPrefabPostInit ("froglegs",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("froglegs_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
-- Batilisk_Wing
AddPrefabPostInit ("batwing",function(inst)
inst.components.edible.hungervalue = 15
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = -10
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("batwing_cooked",function(inst)
	inst.components.edible.hungervalue = 15
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)

-- Koalefant_Trunk
AddPrefabPostInit ("trunk_summer",function(inst)
inst.components.edible.hungervalue = 75
inst.components.edible.healthvalue = 8
inst.components.edible.sanityvalue = -10
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("trunk_winter",function(inst)
	inst.components.edible.hungervalue = 75
	inst.components.edible.healthvalue = 8
	inst.components.edible.sanityvalue = -10
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
		AddPrefabPostInit ("trunk_cooked",function(inst)
		inst.components.edible.hungervalue = 75
		inst.components.edible.healthvalue = 20
		inst.components.edible.sanityvalue = 0
		inst.components.perishable:SetPerishTime(ONE_DAY * 15)
		end)
		
-- Guardian's Horn & Deerclops Eyeball
AddPrefabPostInit ("minotaurhorn",function(inst)
inst.components.edible.hungervalue = 30
inst.components.edible.healthvalue = 60
inst.components.edible.sanityvalue = -15
end)
	AddPrefabPostInit ("deerclops_eyeball",function(inst)
	inst.components.edible.hungervalue = 30
	inst.components.edible.healthvalue = 60
	inst.components.edible.sanityvalue = -15
	end)
	
-- Egg
AddPrefabPostInit ("bird_egg",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("bird_egg_cooked",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
-- Tallbird Egg
AddPrefabPostInit ("tallbirdegg",function(inst)
inst.components.edible.hungervalue = 25
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = 0
end)
	AddPrefabPostInit ("tallbirdegg_cooked",function(inst)
	inst.components.edible.hungervalue = 30
	inst.components.edible.healthvalue = 2
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end )
		AddPrefabPostInit ("tallbirdegg_cracked",function(inst)
		inst.components.edible.hungervalue = 25
		inst.components.edible.healthvalue = 0
		inst.components.edible.sanityvalue = -5
		end)
-- Rotten Egg
AddPrefabPostInit ("rottenegg",function(inst)
inst.components.edible.hungervalue = 0
inst.components.edible.healthvalue = -5
inst.components.edible.sanityvalue = -5
end)


-- VEGETABLES ~ ~ ~ ~ ~
-- Corn
AddPrefabPostInit ("corn",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("corn_cooked",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 1
	inst.components.perishable:SetPerishTime(ONE_DAY * 20)
	end)
-- Carrot
AddPrefabPostInit ("carrot",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("carrot_cooked",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
-- Eggplant
AddPrefabPostInit ("eggplant",function(inst)
inst.components.edible.hungervalue = 20
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("eggplant_cooked",function(inst)
	inst.components.edible.hungervalue = 20
	inst.components.edible.healthvalue = 5
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
-- Pumpkin
AddPrefabPostInit("pumpkin", function(inst)
inst.components.edible.hungervalue = 25
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit("pumpkin_cooked", function(inst)
	inst.components.edible.hungervalue = 25
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)

-- Red Cap
AddPrefabPostInit ("red_cap",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = -20
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("red_cap_cooked",function(inst)
	inst.components.edible.hungervalue = 6.25
	inst.components.edible.healthvalue = -3
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
-- Green Cap
AddPrefabPostInit ("green_cap",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = -5
inst.components.edible.sanityvalue = -30
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("green_cap_cooked",function(inst)
	inst.components.edible.hungervalue = 6.25
	inst.components.edible.healthvalue = -1
	inst.components.edible.sanityvalue = 7.5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)
-- Blue Cap
AddPrefabPostInit ("blue_cap",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = 15
inst.components.edible.sanityvalue = -10
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("blue_cap_cooked",function(inst)
	inst.components.edible.hungervalue = 6.25
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)

-- Mandrake
AddPrefabPostInit ("mandrake",function(inst)
inst.components.edible.hungervalue = 100
inst.components.edible.healthvalue = 50
inst.components.edible.sanityvalue = 0
end)
	AddPrefabPostInit ("cookedmandrake",function(inst)
	inst.components.edible.hungervalue = 100
	inst.components.edible.healthvalue = 60
	inst.components.edible.sanityvalue = 0
	end)
-- Cactus
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
AddPrefabPostInit ("cactus_meat",function(inst)
inst.components.edible.hungervalue = 12.5
inst.components.edible.healthvalue = -3
inst.components.edible.sanityvalue = -3
inst.components.perishable:SetPerishTime(ONE_DAY * 15)
end)
	AddPrefabPostInit ("cactus_meat_cooked",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 5
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
		AddPrefabPostInit ("cactus_flower",function(inst)
		inst.components.edible.hungervalue = 6.25
		inst.components.edible.healthvalue = 5
		inst.components.edible.sanityvalue = 0
		inst.components.perishable:SetPerishTime(ONE_DAY * 10)
		end)
end
-- Petals & Foliage
AddPrefabPostInit ("petals",function(inst)
inst.components.edible.hungervalue = 2
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("petals_evil",function(inst)
	inst.components.edible.hungervalue = 2
	inst.components.edible.healthvalue = -1
	inst.components.edible.sanityvalue = -5
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
		AddPrefabPostInit ("foliage",function(inst)
		inst.components.edible.hungervalue = 2
		inst.components.edible.healthvalue = 1
		inst.components.edible.sanityvalue = 0
		inst.components.perishable:SetPerishTime(ONE_DAY * 10)
		end)
-- Lichen & Glow Berry
AddPrefabPostInit ("cutlichen",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = 5
inst.components.edible.sanityvalue = -3
inst.components.perishable:SetPerishTime(ONE_DAY * 2)
end)
	AddPrefabPostInit ("wormlight",function(inst)
	inst.components.edible.hungervalue = 20
	inst.components.edible.healthvalue = -5
	inst.components.edible.sanityvalue = 10
	inst.components.perishable:SetPerishTime(ONE_DAY * 10)
	end)


-- FRUITS ~ ~ ~ ~ ~
-- Berries
AddPrefabPostInit ("berries",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("berries_cooked",function(inst)
	inst.components.edible.hungervalue = 7.5
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 3)
	end)

-- Pomegranate
AddPrefabPostInit ("pomegranate",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 5
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("pomegranate_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 5
	inst.components.edible.sanityvalue = 3
	inst.components.perishable:SetPerishTime(ONE_DAY * 3)
	end)
-- Dragon Fruit
AddPrefabPostInit ("dragonfruit",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("dragonfruit_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 5
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 3)
	end)
-- Durian
AddPrefabPostInit ("durian",function(inst)
inst.components.edible.hungervalue = 20
inst.components.edible.healthvalue = -3
inst.components.edible.sanityvalue = -5
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("durian_cooked",function(inst)
	inst.components.edible.hungervalue = 20
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = -3
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
-- Watermelon
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
AddPrefabPostInit ("watermelon",function(inst)
inst.components.edible.hungervalue = 15
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 3
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("watermelon_cooked",function(inst)
	inst.components.edible.hungervalue = 12.5
	inst.components.edible.healthvalue = 1
	inst.components.edible.sanityvalue = 3
	inst.components.perishable:SetPerishTime(ONE_DAY * 3)
	end)
end

-- Cave Banana
AddPrefabPostInit ("cave_banana",function(inst)
inst.components.edible.hungervalue = 10
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 3
inst.components.perishable:SetPerishTime(ONE_DAY * 10)
end)
	AddPrefabPostInit ("cave_banana_cooked",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 1
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)


-- OTHERS ~ ~ ~ ~ ~
-- Seeds
AddPrefabPostInit ("seeds",function(inst)
inst.components.edible.hungervalue = 3
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 40)
end)
	AddPrefabPostInitAny (function(inst)
	if inst and (inst.prefab:sub(-6) == "_seeds") then
	inst.components.edible.hungervalue = 3
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 40)
	end
	end)
		AddPrefabPostInit ("seeds_cooked",function(inst)
		inst.components.edible.hungervalue = 3
		inst.components.edible.healthvalue = 1
		inst.components.edible.sanityvalue = 0
		inst.components.perishable:SetPerishTime(ONE_DAY * 10)
		end)

-- Roasted Birchnut
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
AddPrefabPostInit ("acorn_cooked",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = 1
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
end

-- Butterfly Wings & Butter
AddPrefabPostInit ("butterflywings",function(inst)
inst.components.edible.hungervalue = 3
inst.components.edible.healthvalue = 8
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 6)
end)
	AddPrefabPostInit ("butter",function(inst)
	inst.components.edible.hungervalue = 25
	inst.components.edible.healthvalue = 10
	inst.components.edible.sanityvalue = 0
	inst.components.perishable:SetPerishTime(ONE_DAY * 40)
	end)

-- Honey
AddPrefabPostInit ("honey",function(inst)
inst.components.edible.hungervalue = 6.25
inst.components.edible.healthvalue = 3
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 40)
end)

-- Glommer's Goop & Electric Milk
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
AddPrefabPostInit ("glommerfuel",function(inst)
inst.components.edible.hungervalue = 7.5
inst.components.edible.healthvalue = 40
inst.components.edible.sanityvalue = -50
end)
	AddPrefabPostInit ("goatmilk",function(inst)
	inst.components.edible.hungervalue = 10
	inst.components.edible.healthvalue = 3
	inst.components.edible.sanityvalue = 15
	inst.components.perishable:SetPerishTime(ONE_DAY * 6)
	end)
end

-- Ice
if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
AddPrefabPostInit ("ice",function(inst)
inst.components.edible.hungervalue = 2
inst.components.edible.healthvalue = 0
inst.components.edible.sanityvalue = 0
inst.components.perishable:SetPerishTime(ONE_DAY * 3)
end)
end

-- Rot
AddPrefabPostInit ("spoiled_food",function(inst)
inst.components.edible.hungervalue = 0
inst.components.edible.healthvalue = -10
inst.components.edible.sanityvalue = -5
end)


-- RECIPE TWEAKING ~ ~ ~ ~ ~
-- 1x Twig, No Ice
recipes.baconeggs.test = function(cooker, names, tags) return tags.egg and tags.egg > 1 and tags.meat and tags.meat > 1 and not tags.veggie and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.butterflymuffin.test = function(cooker, names, tags) return names.butterflywings and not tags.meat and tags.veggie and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.dragonpie.test = function(cooker, names, tags) return (names.dragonfruit or names.dragonfruit_cooked) and not tags.meat and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.fishsticks.test = function(cooker, names, tags) return tags.fish and names.twigs and tags.inedible == 1 and not tags.frozen end
recipes.fishtacos.test = function(cooker, names, tags) return tags.fish and (names.corn or names.corn_cooked) and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.frogglebunwich.test = function(cooker, names, tags) return (names.froglegs or names.froglegs_cooked) and tags.veggie and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.fruitmedley.test = function(cooker, names, tags) return tags.fruit and tags.fruit >= 3 and not tags.meat and not tags.veggie and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.kabobs.test = function(cooker, names, tags) return tags.meat and names.twigs and tags.inedible == 1 and not tags.frozen end
recipes.mandrakesoup.test = function(cooker, names, tags) return names.mandrake and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.monsterlasagna.test = function(cooker, names, tags) return tags.monster and tags.monster >= 2 and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.powcake.test = function(cooker, names, tags) return names.twigs and names.honey and (names.corn or names.corn_cooked) and tags.inedible == 1 and not tags.frozen end
recipes.pumpkincookie.test = function(cooker, names, tags) return (names.pumpkin or names.pumpkin_cooked) and tags.sweetener and tags.sweetener >= 2 and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.stuffedeggplant.test = function(cooker, names, tags) return (names.eggplant or names.eggplant_cooked) and tags.veggie and tags.veggie > 1 and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.taffy.test = function(cooker, names, tags) return tags.sweetener and tags.sweetener >= 3 and not tags.meat and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.turkeydinner.test = function(cooker, names, tags) return names.drumstick and names.drumstick > 1 and tags.meat and tags.meat > 1 and (tags.veggie or tags.fruit) and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.unagi.test = function(cooker, names, tags) return names.cutlichen and (names.eel or names.eel_cooked) and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
recipes.waffles.test = function(cooker, names, tags) return names.butter and (names.berries or names.berries_cooked) and tags.egg and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	recipes.guacamole.test = function(cooker, names, tags) return names.mole and names.cactus_meat and not tags.fruit and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
	recipes.hotchili.test = function(cooker, names, tags) return tags.meat and tags.veggie and tags.meat >= 1.5 and tags.veggie >= 1.5 and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
	recipes.trailmix.test = function(cooker, names, tags) return names.acorn_cooked and tags.seed and tags.seed >= 1 and (names.berries or names.berries_cooked) and tags.fruit and tags.fruit >= 1 and not tags.meat and not tags.veggie and not tags.egg and not tags.dairy and (not tags.inedible or tags.inedible == 1) and not tags.frozen end
	end

-- No Ice
recipes.bonestew.test = function(cooker, names, tags) return tags.meat and tags.meat >= 3 and not tags.inedible and not tags.frozen end
recipes.honeyham.test = function(cooker, names, tags)  return names.honey and tags.meat and tags.meat > 1.5 and not tags.inedible and not tags.frozen end
recipes.honeynuggets.test = function(cooker, names, tags)  return names.honey and tags.meat and tags.meat <= 1.5 and not tags.inedible and not tags.frozen end
recipes.jammypreserves.test = function(cooker, names, tags) return tags.fruit and not tags.meat and not tags.veggie and not tags.egg and not tags.inedible and not tags.frozen end
recipes.meatballs.test = function(cooker, names, tags)  return tags.meat and not tags.inedible and not tags.frozen and not tags.frozen end
recipes.perogies.test = function(cooker, names, tags) return tags.egg and tags.meat and tags.veggie and not tags.inedible and not tags.frozen end
recipes.ratatouille.test = function(cooker, names, tags) return not tags.meat and tags.veggie and not tags.inedible and not tags.frozen end
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	recipes.flowersalad.test = function(cooker, names, tags) return names.cactus_flower and tags.veggie and tags.veggie >= 2 and not tags.meat and not tags.inedible and not tags.egg and not tags.sweetener and not tags.fruit and not tags.frozen end
	end

-- 1x Twig
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	recipes.watermelonicle.test = function(cooker, names, tags) return names.watermelon and tags.frozen and names.twigs and not tags.meat and not tags.veggie and not tags.egg and tags.inedible == 1 end
	end

-- No Change
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	recipes.icecream.test = function(cooker, names, tags) return tags.frozen and tags.dairy and tags.sweetener and not tags.meat and not tags.veggie and not tags.inedible and not tags.egg end
	end


-- PRIORITIES ~ ~ ~ ~ ~
recipes.baconeggs.priority = 10
recipes.bonestew.priority = 15
recipes.butterflymuffin.priority = 6
recipes.dragonpie.priority = 4
recipes.fishsticks.priority = 6
recipes.fishtacos.priority = 7
recipes.frogglebunwich.priority = 8
recipes.fruitmedley.priority = 1
recipes.honeyham.priority = 2
recipes.honeynuggets.priority = 2
recipes.jammypreserves.priority = 0
recipes.kabobs.priority = -1
recipes.mandrakesoup.priority = 20
recipes.meatballs.priority = -1
recipes.monsterlasagna.priority = 25
recipes.perogies.priority = 6
recipes.powcake.priority = 2
recipes.pumpkincookie.priority = 10
recipes.ratatouille.priority = 0
recipes.stuffedeggplant.priority = 5
recipes.taffy.priority = 3
recipes.turkeydinner.priority = 10
recipes.unagi.priority = 15
recipes.waffles.priority = 10
-- DST RECIPES:
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
	recipes.flowersalad.priority = 10
	recipes.guacamole.priority = 10
	recipes.hotchili.priority = 10
	recipes.icecream.priority = 10
	recipes.trailmix.priority = 10
	recipes.watermelonicle.priority = 10
	end


-- SEEDS TWEAK ~ ~ ~ ~ ~
-- Code is NOT buggy at all and it works as intended now..
AddPrefabPostInit ("birdcage",function(inst)





	local old_sai = inst.components.trader.test
	local function MyAccept (inst,item)
		local old_return = old_sai (inst,item)
		if item.components.edible and item.components.edible.foodtype == "MEAT" then
			return false
		else
			return old_return
		end
	end
	inst.components.trader:SetAcceptTest (MyAccept)

	local old_slp = inst.components.lootdropper.SpawnLootPrefab
	local old_ona = inst.components.trader.onaccept

	-- Here we remove original birdcage loot
	local function VoidDigest (inst,food)
		inst.components.lootdropper.SpawnLootPrefab = function (self,lootprefab,pt)
			local loot = old_slp (self,lootprefab,pt)
			loot:Hide()
			self.inst:DoTaskInTime (0.1,function()loot:Remove()end)
			return loot
		end
	end

	-- Here we define our birdcage loot
	local function ExtraDigest (inst,food)
		inst.components.lootdropper.SpawnLootPrefab = old_slp

		local foodtype = food.components.edible.foodtype
		if foodtype == "FRUIT" or foodtype == "VEGGIE" then
			if math.random() < 0.33 then
				inst.components.lootdropper:SpawnLootPrefab ("bird_egg")
			end
		end

		local seed_name = string.lower (food.prefab .. "_seeds")
		if GLOBAL.Prefabs [seed_name] ~= nil then
			local num_seeds = math.random (2,3)
			for k = 1, num_seeds do
				inst.components.lootdropper:SpawnLootPrefab (seed_name)
			end
		else
			if math.random() < 0.33 then
				local loot = inst.components.lootdropper:SpawnLootPrefab ("guano")
				loot.Transform:SetScale (0.5,0.5,0.5)
			else
				if math.random() < 0.5 then
					inst.components.lootdropper:SpawnLootPrefab ("bird_egg")
				end
			end
		end
	end

	local function MyGet(inst,giver,item)
		old_ona (inst,giver,item)
		if inst.components.trader.test (inst,item) then
			inst:DoTaskInTime (55*GLOBAL.FRAMES,VoidDigest,item)
			inst:DoTaskInTime (65*GLOBAL.FRAMES,ExtraDigest,item)
		end
	end
	inst.components.trader.onaccept = MyGet

end)